Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040154
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Discount Matrix Managementmajoralways2019-01-23 11:572019-02-12 15:03
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionaddfb623791b
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelProduction - Confirmed Stable
Regression date2018-02-05
Regression introduced in releaseRR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/e8a94369c01f [^]
Triggers an Emergency PackNo
Summary

0040154: Receipt with discounts can not be completed

Descriptionwith the module Discount Matrix Management, if one line is added with a discretionary discount, it is not possible to complete the receipt. When click in total button is done, error is returned:
Uncaught dodivide(): Divide by 0
Steps To ReproducePOS:
. new receipt:
. add Avalanche Transceiver
. click discount button: add disc_fixed_5_euro
. click in total button

in cosole, error is returned:
Uncaught dodivide(): Divide by 0
Proposed SolutionAttached a possible fix
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040007 closedranjith_qualiantech_com Receipt with discounts can not be completed 

-  Notes
(0109730)
hgbot (developer)
2019-02-12 15:02

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.discounts
Changeset: 79135041b3480259a7a289542abf8a2238ec7d1f
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 19:30:51 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.discounts/rev/79135041b3480259a7a289542abf8a2238ec7d1f [^]

Related to issue 40154 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custom discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty

---
M web/org.openbravo.retail.discounts/js/promotion-manual.js
---
(0109733)
hgbot (developer)
2019-02-12 15:03

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: addfb623791b7e478e9acaec5bb0246eb114b89a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 19:30:47 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/addfb623791b7e478e9acaec5bb0246eb114b89a [^]

Fixed issue 40154 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custom discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty
  When spliting the line, lineQtyOffer is updated based on obdiscQtyoffer

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2019-02-06 09:55 jorge-garcia Type defect => backport
2019-02-06 09:55 jorge-garcia Target Version => RR19Q1
2019-02-06 10:01 jorge-garcia Regression date => 2018-02-05
2019-02-06 10:01 jorge-garcia Regression introduced in release => RR18Q2
2019-02-06 10:01 jorge-garcia Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/e8a94369c01f [^]
2019-02-12 15:02 hgbot Checkin
2019-02-12 15:02 hgbot Note Added: 0109730
2019-02-12 15:03 hgbot Checkin
2019-02-12 15:03 hgbot Note Added: 0109733
2019-02-12 15:03 hgbot Status scheduled => resolved
2019-02-12 15:03 hgbot Resolution open => fixed
2019-02-12 15:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/80f1109499f38e1f7d8a6123aead1ef6b126480c [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/addfb623791b7e478e9acaec5bb0246eb114b89a [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker